// Dynadb.h: interface for the CDynadb class.
//
//////////////////////////////////////////////////////////////////////
/*		
 *
 *		Based on the Bob Place's "ADO is AOK (a simple ADO tutorial)" Document
 *		published on codeguru...
 *
 *
 */



#if !defined(AFX_DYNADB_H__B7198A62_E926_47A7_8456_B1B605CA78AF__INCLUDED_)
#define AFX_DYNADB_H__B7198A62_E926_47A7_8456_B1B605CA78AF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "afxtempl.h"
#include "dynrec.h"

class CDyndb  
{
public:
	DataTypeEnum GetFieldType(long lid, long lFldIndex);
	CString GetFieldName(long lid, long lFldIndex);
	long GetFieldCount(long lid);
	void CloseAll();
	void CloseRec(long lid);
	_variant_t GetFieldVal(long lid, CString sFieldName);
	CDynRec GetRec(long lid);
	void CloseConn();
	void OpenRec(CString sSQL);
	void OpenConn(CString sConnStr);
	CDyndb();
	virtual ~CDyndb();

	_ConnectionPtr	m_pConnection;
	_CommandPtr		m_pCommand;
	long m_currid;

	CList<CDynRec, CDynRec> m_recs;
};

#endif // !defined(AFX_DYNADB_H__B7198A62_E926_47A7_8456_B1B605CA78AF__INCLUDED_)
